# Interface NgModelOptions

Configuration for ngModel behavior.

interface NgModelOptions {
allowInvalid?: boolean;
debounce?: number | Record<string, number>;
getterSetter?: boolean;
timeSecondsFormat?: string;
timeStripZeroSeconds?: boolean;
timezone?: string;
updateOn?: string;
}

##### Index

### Properties

allowInvalid?
debounce?
getterSetter?
timeSecondsFormat?
timeStripZeroSeconds?
timezone?
updateOn?

## Properties

### `Optional` allowInvalid

allowInvalid?: boolean

Whether to allow invalid values

### `Optional` debounce

debounce?: number | Record<string, number>

Delay in milliseconds or event-specific debounce times

### `Optional` getterSetter

getterSetter?: boolean

Enables getter/setter style ngModel

### `Optional` timeSecondsFormat

timeSecondsFormat?: string

Time display format including seconds

### `Optional` timeStripZeroSeconds

timeStripZeroSeconds?: boolean

Whether to remove trailing :00 seconds

### `Optional` timezone

timezone?: string

Timezone used for Date objects

### `Optional` updateOn

updateOn?: string

Space-separated event names that trigger updates